import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 
      'https://gist.githubusercontent.com/yichenlilyc/e82f39f103162cda7efc2c5662e203fd/raw/NBAPlayerState.csv';

const parseRow = (d) => {
  d.GP = +d.GP;
  d.W = +d.W;
  d.L = +d.L;
  d.PTS = +d.PTS;
  d.REB = +d.REB;
  d.AST = +d.AST;
  d.STL = +d.STL;
  d.BLK = +d.BLK;
  d.TOV = +d.TOV;
  const playerName = d.PLAYER.split(' ');
  d.PLAYERX = playerName[0] + '.' + playerName[1][0];
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, parseRow).then(setData);
  }, []);

  return data;
};
